Update the fields of a plugin. Send only the fields to change. You cannot change id, created_at, updated_at. Dates use the ISO 8601 format. You must be an administrator.
PUT
/data/plugins/{instance_id}
curl
curl -X PUT "http://api.example.com/data/plugins/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Plugin Name",
"active": true
}'
import requests
url = "http://api.example.com/data/plugins/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Updated Plugin Name",
"active": true
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "Updated Plugin Name",
"frontend_project_enabled": true,
"frontend_studio_enabled": true
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "Updated Plugin Name",
"plugin_id": "my-plugin",
"version": "1.0.0",
"frontend_project_enabled": false,
"frontend_studio_enabled": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}